<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::AnimationTrack Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#6f341ad134c0254f15a0cba2bbae4097">_buildKeyFrameIndexMap</a>(const std::vector&lt; Real &gt; &amp;keyFrameTimes)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#7aab09df8cf0fea5b1a53df263b9e2c1">_collectKeyFrameTimes</a>(std::vector&lt; Real &gt; &amp;keyFrameTimes)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#715b6d025247c4857a5deba9376ae48c">_keyFrameDataChanged</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#0209b4a0d1461af76fdfcbf31b0537f2">AnimationTrack</a>(Animation *parent, unsigned short handle)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a32b2807aee58478f96e75bfa44141cc">apply</a>(const TimeIndex &amp;timeIndex, Real weight=1.0, Real scale=1.0f)=0</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6">createKeyFrame</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#a344f22d2582a0adacea56bf7b6dcd7d">createKeyFrameImpl</a>(Real time)=0</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#32de796f12f6afee4c93e12625535577">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#48a8e96d4cb65f050dfed427f4442aa4">getInterpolatedKeyFrame</a>(const TimeIndex &amp;timeIndex, KeyFrame *kf) const =0</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#f27f57a984619052cca4726cdfd26f3c">getKeyFrame</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#55533ed5218c6d423e9443afa2580f5a">getKeyFramesAtTime</a>(const TimeIndex &amp;timeIndex, KeyFrame **keyFrame1, KeyFrame **keyFrame2, unsigned short *firstKeyIndex=0) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#e0c1160b89c7f2be74ae2962239bd732">getNumKeyFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#3a07b2082c15608cc24be21e2b6bb822">hasNonZeroKeyFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#27b9b55f9a560e3b7c83f0d47676fc51">KeyFrameIndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#501aac9ae307fd6813a31792404cf770">KeyFrameList</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#5fb5dc3c01452aa4d542981485d15080">mHandle</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#2c053bac1d2eedc782eb24b79dc79a21">mKeyFrameIndexMap</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#8a9bee08f6fa537fc0bcfcee2423775c">mKeyFrames</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#ea479089005d263e195cde7e4faca665">mParent</a></td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#d96281be1b189c69a1dbd2283d583503">optimise</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#4e61fb2e00abd26a854d122452cb21a0">populateClone</a>(AnimationTrack *clone) const </td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#c8f7b83d742998ed46c8cdb10e404df6">removeAllKeyFrames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#3e1ccd99179d804992a5224fe811c2dd">removeKeyFrame</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationTrack.html#28fb904ec7b101ad71fae5c6930b0d34">~AnimationTrack</a>()</td><td><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:07 2008
</p>
</body>
</html>
